UbuntuUpdates.org

Package "apt"

Name: apt

Description:

commandline package manager

Latest version: 1.0.1ubuntu2.24
Release: trusty (14.04)
Level: updates
Repository: main

Links

Save this URL for the latest version of "apt": https://www.ubuntuupdates.org/apt


Download "apt"


Other versions of "apt" in Trusty

Repository Area Version
base main 1.0.1ubuntu2
security main 1.0.1ubuntu2.19

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 1.0.1ubuntu2.18 2018-04-30 19:07:22 UTC

  apt (1.0.1ubuntu2.18) trusty; urgency=medium

  * ExecFork: Use /proc/self/fd to determine which files to close
    (Closes: #764204) (LP: #1332440).

 -- Julian Andres Klode <email address hidden> Mon, 09 Apr 2018 15:32:09 +0200

Source diff to previous version
1332440 apt-get update very slow when ulimit -n is big
764204 apt-cache calls fcntl() on 65536 FDs - Debian Bug report logs

Version: 1.0.1ubuntu2.17 2016-12-13 20:07:02 UTC

  apt (1.0.1ubuntu2.17) trusty-security; urgency=high

  * SECURITY UPDATE: gpgv: Check for errors when splitting files (CVE-2016-1252)
    Thanks to Jann Horn, Google Project Zero for reporting the issue
    (LP: #1647467)

 -- Julian Andres Klode <email address hidden> Thu, 08 Dec 2016 15:31:29 +0100

Source diff to previous version
1647467 InRelease file splitter treats getline() errors as EOF

Version: 1.0.1ubuntu2.15 2016-10-17 05:06:42 UTC

  apt (1.0.1ubuntu2.15) trusty; urgency=medium

  * Fixes failure to download the Package index file when using
    mirror:// URL in sources.list and the archive fails to profile
    a file. APT would try the next archive in the list for .deb
    packages but did not retry when the index file failed to download.
    (LP: #1625667)

 -- Louis Bouchard <email address hidden> Tue, 20 Sep 2016 17:02:03 +0200

Source diff to previous version
1625667 Trusty: apt does not try next mirror if index file download fails with mirror:// source

Version: 1.0.1ubuntu2.14 2016-05-24 23:06:49 UTC

  apt (1.0.1ubuntu2.14) trusty; urgency=medium

  * When using the https transport mechanism, $no_proxy is ignored if apt is
    getting it's proxy information from $https_proxy (as opposed to
    Acquire::https::Proxy somewhere in apt config). If the source of proxy
    information is Acquire::https::Proxy set in apt.conf (or apt.conf.d),
    then $no_proxy is honored. This patch makes the behavior similar for
    both methods of setting the proxy. (LP: #1575877)

 -- Patrick Cable <email address hidden> Tue, 17 May 2016 13:45:06 -0700

Source diff to previous version
1575877 no_proxy ignored if https_proxy set

Version: 1.0.1ubuntu2.13 2016-04-20 10:06:34 UTC

  apt (1.0.1ubuntu2.13) trusty; urgency=medium

  * Recheck Pre-Depends satisfaction in SmartConfigure, to avoid unconfigured
    Pre-Depends (which dpkg later fails on). Fixes upgrade failures of
    systemd, util-linux, and other packages with Pre-Depends. Many thanks to
    David Kalnischkies for figuring out the patch and Winfried PLappert for
    testing! Patch taken from Debian git. (LP: #1560797)

 -- Martin Pitt <email address hidden> Tue, 19 Apr 2016 12:32:43 +0200

1560797 package systemd-sysv 225-1ubuntu9.1 failed to install/upgrade: libgcrypt20 was unconfigured during 15.10 to 16.04 upgrade



About   -   Send Feedback to @ubuntu_updates